singularity(1)

NAME

singularity-remote-add - Add a new singularity remote endpoint

SYNOPSIS

singularity remote add [add options...]

DESCRIPTION

The 'remote add' command allows you to add a new remote endpoint to be
  used for singularity remote services. Authentication with a newly created
  endpoint will occur automatically.

OPTIONS

-g, --global[=false]
    edit the list of globally configured remote endpoints

-h, --help[=false]
    help for add

-i, --insecure[=false]
    allow connection to an insecure http remote

-n, --no-default[=false]
    do not designate the newly-added remote endpoint as the default

--no-login[=false]
    skip automatic login step

--tokenfile=""
    path to the file holding auth token for login (remote endpoints only)

EXAMPLE

      $ singularity remote add SylabsCloud cloud.sylabs.io

SEE ALSO

singularity-remote(1)

HISTORY

21-Jul-2025 Auto generated by spf13/cobra